﻿@model IEnumerable<BUOI3.Models.Product>

@{
    ViewData["Title"] = "Home Page";
    int numOfQuantity = 1;
}
<section class="py-2">
    <div class="container px-4 px-lg-5 mt-5">
        <div class="row gx-4 gx-lg-5 row-cols-2 row-cols-md-3 row-cols-xl-4 justify-content-center">
            @foreach(var item in Model)
            {
                <div class="col mb-5">
                    <div class="card gap-3" style="width:18rem;">
                        <img src="@item.ImageUrl" class="card-img-top" alt="..." style="height:300px;">
                        <div class="card-body">
                            <h5 class="card-title">@Html.DisplayFor(modelItem=>item.Name)</h5>
                            <div class="d-flex">
                                <span>Price: </span>
                                <p class="mx-3">@item.Price.ToString("#,##0") Vnđ</p>
                            </div>
                            <a asp-controller="ShoppingCart" asp-action="AddToCart" asp-route-productId="@item.Id" asp-route-quantity="@numOfQuantity"><button class="btn btn-outline-dark"><i class="bi-cart-fill me-1"></i>Add to Cart</button></a>
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>
</section>